Bug 181574 - [patch] editors/openoffice-4: convert to USES, and adoption of optionsNG styling, add CCACHE as configurable option
Summary: [patch] editors/openoffice-4: convert to USES, and adoption of optionsNG styl...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Office Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-26 23:10 UTC by Jason Helfman
Modified: 2014-01-26 17:51 UTC (History)
0 users

See Also:


Attachments
file.diff (2.44 KB, patch)
2013-08-26 23:10 UTC, Jason Helfman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Helfman freebsd_committer 2013-08-26 23:10:00 UTC
remove USE_PERL5_BUILD, as it is satisfied by USE_PERL5 = build
convert USE_GMAKE to USES
add new option of CCACHE and convert to new options sytle

pls note:
distinfo update was needed because of size mismatch during make checksum phase, however couldn't verify any of this as I get a failed build on a module, but the software does build.
Comment 1 Edwin Groothuis freebsd_committer 2013-08-26 23:10:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->office

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-08-27 04:36:59 UTC
Author: maho
Date: Tue Aug 27 03:36:50 2013
New Revision: 325427
URL: http://svnweb.freebsd.org/changeset/ports/325427

Log:
  update to svn 1517723.
  some cleanups [1].
  
  PR:		181574

Added:
  head/editors/openoffice-devel/files/patch-configmgr   (contents, props changed)
  head/editors/openoffice-devel/files/patch-i114430   (contents, props changed)
  head/editors/openoffice-devel/files/patch-sal-inline   (contents, props changed)
Deleted:
  head/editors/openoffice-devel/files/patch-jdk7-hsqldb-debian
  head/editors/openoffice-devel/files/patch-jdk7-hsqldb-debian-x
Modified:
  head/editors/openoffice-devel/Makefile
  head/editors/openoffice-devel/distinfo
  head/editors/openoffice-devel/pkg-descr

Modified: head/editors/openoffice-devel/Makefile
==============================================================================
--- head/editors/openoffice-devel/Makefile	Tue Aug 27 00:35:46 2013	(r325426)
+++ head/editors/openoffice-devel/Makefile	Tue Aug 27 03:36:50 2013	(r325427)
@@ -3,7 +3,6 @@
 
 PORTNAME=	apache-openoffice
 PORTVERSION=	4.0.${SVNREVISION}
-PORTREVISION=	2
 PORTEPOCH=	1
 CATEGORIES=	editors java
 MASTER_SITES=	${MASTER_SITE_LOCAL}
@@ -25,39 +24,41 @@ USE_XORG=	x11 ice xaw xau xext xrender x
 		xi xt xcursor xdamage xcomposite xfixes
 USE_GL=		gl glu
 USE_GSTREAMER=	yes
-#WITH_GCC=	yes
-USE_GMAKE=	yes
+#USE_GCC=	4.6+
 USE_PYTHON=	yes
 USE_BZIP2=	yes
-USES+=		bison perl5
+USES+=		bison perl5 gmake
 USE_PERL5=	build
 WITHOUT_CPU_CFLAGS=	true
+MAKE_JOBS_SAFE=	yes
 
-OPTIONS_DEFINE=	GCONF GNOMEVFS
+OPTIONS_DEFINE=	GCONF GNOMEVFS CCACHE
 OPTIONS_DEFAULT=GCONF GNOMEVFS
 GNOMEVFS_DESC=	Enable GNOME Virtual File System
+CCACHE_DESC=	Mimimize compile time of C/C++ programs
+
+.include "${.CURDIR}/files/Makefile.localized"
 
 .include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
 USE_JAVA=	yes
 JAVA_BUILD=	jdk
 JAVA_VENDOR=	openjdk
 JAVA_VERSION=	1.6+
 
-.if !defined(WITHOUT_GCONF)
+.if ${PORT_OPTIONS:MGCONF}
 USE_GNOME+=	gconf2
 .else
 CONFIGURE_ARGS+=--disable-gconf
 .endif
 
-.if !defined(WITHOUT_GNOMEVFS)
+.if ${PORT_OPTIONS:MGNOMEVFS}
 USE_GNOME+=	gnomevfs2
 .else
 CONFIGURE_ARGS+=--disable-gnome-vfs
 .endif
 
-.include <${FILESDIR}/Makefile.localized>
-
 ONLY_FOR_ARCHS=	i386 amd64
 
 .if ${ARCH} == amd64
@@ -69,7 +70,7 @@ FREEBSD_ENV_SET=	FreeBSDX86Env.Set.sh
 OOOSRC=			ApacheOpenOffice.r${SVNREVISION}${EXTRACT_SUFX}
 EXTSRC=			ApacheOpenOffice.ext_sources.r${SVNREVISION}${EXTRACT_SUFX}
 OOODIR=			openoffice4
-SVNREVISION=		1479753
+SVNREVISION=		1517723
 INSTALLATION_BASEDIR?=	openoffice-r${SVNREVISION}
 EXECBASE?=		openoffice-r${SVNREVISION}
 DIST_SUBDIR=		openoffice
@@ -96,7 +97,7 @@ RUN_DEPENDS+=	${LOCALBASE}/share/icons/h
 		${JAVALIBDIR}/saxon9.jar:${PORTSDIR}/textproc/saxon-devel \
 		${LOCALBASE}/lib/X11/fonts/ChromeOS/Arimo-Bold.ttf:${PORTSDIR}/x11-fonts/croscorefonts-fonts-ttf
 
-.if defined(WITH_CCACHE)
+.if ${PORT_OPTIONS:MCCACHE) || defined(WITH_CCACHE)
 BUILD_DEPENDS+=	ccache:${PORTSDIR}/devel/ccache
 CCACHE_PREFIX=	ccache
 OOOCC=		${CCACHE_PREFIX} ${CC}
@@ -109,20 +110,20 @@ CONFIGURE_ENV+=	CC="${OOOCC}" CXX="${OOO
 		PATH=${WRKSRC}/solenv/bin:$$PATH	\
 		CPPFLAGS="-I${LOCALBASE}/include" LDFLAGS="-L${LOCALBASE}/lib"
 
-LIB_DEPENDS=	cairo.2:${PORTSDIR}/graphics/cairo \
-		expat.6:${PORTSDIR}/textproc/expat2 \
-		jpeg.11:${PORTSDIR}/graphics/jpeg \
+LIB_DEPENDS=	cairo:${PORTSDIR}/graphics/cairo \
+		expat:${PORTSDIR}/textproc/expat2 \
+		jpeg:${PORTSDIR}/graphics/jpeg \
 		curl:${PORTSDIR}/ftp/curl \
-		hunspell-1.3.0:${PORTSDIR}/textproc/hunspell \
-		poppler-glib.8:${PORTSDIR}/graphics/poppler-glib \
-		rdf.0:${PORTSDIR}/textproc/redland \
-		textcat.0:${PORTSDIR}/textproc/libtextcat \
-		freetype.9:${PORTSDIR}/print/freetype2 \
-		apr-1.4:${PORTSDIR}/devel/apr1 \
-		CoinMP.8:${PORTSDIR}/math/coinmp \
-		serf-1.0:${PORTSDIR}/www/serf \
-		freetype.9:${PORTSDIR}/print/freetype2 \
-		textcat.0:${PORTSDIR}/textproc/libtextcat
+		hunspell-1.3:${PORTSDIR}/textproc/hunspell \
+		poppler-glib:${PORTSDIR}/graphics/poppler-glib \
+		rdf:${PORTSDIR}/textproc/redland \
+		textcat:${PORTSDIR}/textproc/libtextcat \
+		freetype:${PORTSDIR}/print/freetype2 \
+		apr-1:${PORTSDIR}/devel/apr1 \
+		CoinMP:${PORTSDIR}/math/coinmp \
+		serf-1:${PORTSDIR}/www/serf \
+		freetype:${PORTSDIR}/print/freetype2 \
+		textcat:${PORTSDIR}/textproc/libtextcat
 
 BUILD_DEPENDS+=	zip:${PORTSDIR}/archivers/zip \
 		${LOCALBASE}/bin/unzip:${PORTSDIR}/archivers/unzip \
@@ -146,7 +147,7 @@ BUILD_DEPENDS+=	zip:${PORTSDIR}/archiver
 
 USE_AUTOTOOLS=	autoconf
 GNU_CONFIGURE=	yes
-WRKSRC?=	${WRKDIR}/ooo/main
+WRKSRC?=	${WRKDIR}/aoo/main
 BASH?=		${PREFIX}/bin/bash
 SUB_FILES=	pkg-message
 SUB_LIST=	EXECBASE=${EXECBASE} OOOTAG=${OOOTAG} OOODIR=${OOODIR}
@@ -206,6 +207,8 @@ CONFIGURE_ARGS+=	--enable-verbose \
 			--with-system-serf
 #			--with-system-jpeg
 #			--enable-pdfimport
+#			--without-stlport --disable-mozilla \
+#			--with-system-graphite \
 
 #OOOEXTENSIONS+=		minimizer/presentation-minimizer.oxt
 #OOOEXTENSIONS+=		presenter/presenter-screen.oxt
@@ -237,8 +240,10 @@ pre-everything::
 post-extract:
 	@${CP} ${DISTDIR}/${DIST_SUBDIR}/unowinreg.dll ${WRKSRC}/external/unowinreg/
 #	@${MKDIR} ${WRKSRC}/../ext_sources
-#	@${MV} ${WRKDIR}/ooo/ext_sources/* ${WRKSRC}/../ext_sources/
+#	@${MV} ${WRKDIR}/aoo/ext_sources/* ${WRKSRC}/../ext_sources/
 #	@${RM} -rf ${WRKSRC}/l10n
+	@${MKDIR} ${WRKSRC}/../ext_sources
+	@${RM} -rf ${WRKSRC}/l10n
 
 post-patch:
 .if defined (USE_GCC)
@@ -253,9 +258,9 @@ pre-configure:
 	@${LN} -sf ${UNZIP_CMD} ${WRKSRC}/solenv/bin/unzip
 
 do-build:
-	@cd ${WRKDIR}/ooo ; ${PRINTF} "[repositories]\n" > source_config
-	@cd ${WRKDIR}/ooo ; ${PRINTF} "main=active\n" >> source_config
-	@cd ${WRKDIR}/ooo ; ${PRINTF} "extras=active\n" >> source_config
+	@cd ${WRKDIR}/aoo ; ${PRINTF} "[repositories]\n" > source_config
+	@cd ${WRKDIR}/aoo ; ${PRINTF} "main=active\n" >> source_config
+	@cd ${WRKDIR}/aoo ; ${PRINTF} "extras=active\n" >> source_config
 	@cd ${WRKSRC} ; ./bootstrap
 	@cd ${WRKSRC} ; ${SETENV} "LANG=C" "LC_ALL=C" ${BASH} -c "source ${FREEBSD_ENV_SET} ; cd instsetoo_native/util  ; build.pl --all -P${MAKE_JOBS_NUMBER} -- -P${MAKE_JOBS_NUMBER}"
 

Modified: head/editors/openoffice-devel/distinfo
==============================================================================
--- head/editors/openoffice-devel/distinfo	Tue Aug 27 00:35:46 2013	(r325426)
+++ head/editors/openoffice-devel/distinfo	Tue Aug 27 03:36:50 2013	(r325427)
@@ -1,6 +1,6 @@
-SHA256 (openoffice/ApacheOpenOffice.r1479753.tar.bz2) = 5f52372c74c23b8ba028b9b6d0e69c608b6b3ca35b094eca778d7368b4fe85ce
-SIZE (openoffice/ApacheOpenOffice.r1479753.tar.bz2) = 240621675
-SHA256 (openoffice/ApacheOpenOffice.ext_sources.r1479753.tar.bz2) = 2774e5ba11174842a950fa6f9b2b935948d79ff685cc08f80d6a1e0abd446b88
-SIZE (openoffice/ApacheOpenOffice.ext_sources.r1479753.tar.bz2) = 80437514
+SHA256 (openoffice/ApacheOpenOffice.r1517723.tar.bz2) = 4361231d3a74d08042484220da96c9d3342de7f95f9be44a833258ac722cc4db
+SIZE (openoffice/ApacheOpenOffice.r1517723.tar.bz2) = 240252315
+SHA256 (openoffice/ApacheOpenOffice.ext_sources.r1517723.tar.bz2) = 3f85960f7d9c1b95dca26456dcc8c0b6871046e6bec5be40a218a719cec0ef16
+SIZE (openoffice/ApacheOpenOffice.ext_sources.r1517723.tar.bz2) = 68267885
 SHA256 (openoffice/unowinreg.dll) = f563e522922133db9340b0306711c2d8767cc3481dd9e7d9b0d059906d12653c
 SIZE (openoffice/unowinreg.dll) = 6144

Added: head/editors/openoffice-devel/files/patch-configmgr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/editors/openoffice-devel/files/patch-configmgr	Tue Aug 27 03:36:50 2013	(r325427)
@@ -0,0 +1,19 @@
+--- configmgr/source/partial.hxx
++++ configmgr/source/partial.hxx
+@@ -26,6 +26,7 @@
+ 
+ #include "sal/config.h"
+ 
++#include <boost/functional/hash.hpp>
+ #include <boost/unordered_map.hpp> // using the boost container because it explicitly allows recursive types
+ #include <set>
+ 
+@@ -50,7 +51,7 @@ public:
+ 
+ private:
+     struct Node {
+-        typedef boost::unordered_map< rtl::OUString, Node > Children;
++        typedef boost::unordered_map< rtl::OUString, Node, rtl::OUStringHash > Children;
+ 
+         Node(): startInclude(false) {}
+         void clear() { startInclude=false; children.clear(); }

Added: head/editors/openoffice-devel/files/patch-i114430
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/editors/openoffice-devel/files/patch-i114430	Tue Aug 27 03:36:50 2013	(r325427)
@@ -0,0 +1,112 @@
+Index: sal/inc/rtl/math.h
+===================================================================
+--- sal/inc/rtl/math.h	(revision 1447988)
++++ sal/inc/rtl/math.h	(working copy)
+@@ -396,6 +396,21 @@
+  */
+ double SAL_CALL rtl_math_pow10Exp(double fValue, int nExp) SAL_THROW_EXTERN_C();
+ 
++/** Similar to pow() with stricter exception handling for indeterminate values.
++
++    powr is specified in the IEEE 754 - 2008 Floating Point Standard.
++
++    @param fValue
++    The value to be raised.
++
++    @param fExp
++    The exponent.
++
++    @return
++    powr(fValue, fExp)
++ */
++double SAL_CALL rtl_math_powr(double fValue, double fExp) SAL_THROW_EXTERN_C();
++
+ /** Rounds value to 15 significant decimal digits.
+ 
+     @param fValue
+Index: sal/inc/rtl/math.hxx
+===================================================================
+--- sal/inc/rtl/math.hxx	(revision 1447988)
++++ sal/inc/rtl/math.hxx	(working copy)
+@@ -186,6 +186,13 @@
+     return rtl_math_pow10Exp(fValue, nExp);
+ }
+ 
++/** A wrapper around rtl_math_powr.
++ */
++inline double powr(double fValue, double fExp)
++{
++    return rtl_math_powr(fValue, fExp);
++}
++
+ /** A wrapper around rtl_math_approxValue.
+  */
+ inline double approxValue(double fValue)
+Index: sal/rtl/source/math.cxx
+===================================================================
+--- sal/rtl/source/math.cxx	(revision 1447988)
++++ sal/rtl/source/math.cxx	(working copy)
+@@ -1113,7 +1113,20 @@
+     return (fe-1.0) * fValue / log(fe);
+ }
+ 
++double SAL_CALL rtl_math_powr( double fValue,  double fExp ) SAL_THROW_EXTERN_C()
++{
++    if ((fValue == 0.0  && fExp == 0.0) ||
++	(rtl::math::isInf( fExp ) && !rtl::math::isSignBitSet( fExp )) ||
++	(rtl::math::isInf( fValue ) && !rtl::math::isSignBitSet( fValue )))
++    {
++        double fResult;
++        ::rtl::math::setNan( &fResult );
++        return fResult;
++    }
++    return pow(fValue, fExp);
++}
+ 
++
+ double SAL_CALL rtl_math_log1p( double fValue ) SAL_THROW_EXTERN_C()
+ {
+     // Use volatile because a compiler may be too smart "optimizing" the
+Index: sal/util/sal.map
+===================================================================
+--- sal/util/sal.map	(revision 1447988)
++++ sal/util/sal.map	(working copy)
+@@ -629,6 +629,8 @@
+     global:
+         osl_loadAsciiModule;
+         osl_loadAsciiModuleRelative;
++
++        rtl_math_powr;
+ } UDK_3.11;
+ 
+ PRIVATE_1.0 {
+Index: sc/source/core/tool/interpr5.cxx
+===================================================================
+--- sc/source/core/tool/interpr5.cxx	(revision 1447988)
++++ sc/source/core/tool/interpr5.cxx	(working copy)
+@@ -1611,14 +1611,14 @@
+             if (bFlag)
+             {   for ( SCSIZE i = 0; i < nCount; i++ )
+                     if (pMat->IsValue(i))
+-                        pResMat->PutDouble(pow(fVal,pMat->GetDouble(i)), i);
++                        pResMat->PutDouble(::rtl::math::powr(fVal,pMat->GetDouble(i)), i);
+                     else
+                         pResMat->PutString(ScGlobal::GetRscString(STR_NO_VALUE), i);
+             }
+             else
+             {   for ( SCSIZE i = 0; i < nCount; i++ )
+                     if (pMat->IsValue(i))
+-                        pResMat->PutDouble(pow(pMat->GetDouble(i),fVal), i);
++                        pResMat->PutDouble(::rtl::math::powr(pMat->GetDouble(i),fVal), i);
+                     else
+                         pResMat->PutString(ScGlobal::GetRscString(STR_NO_VALUE), i);
+             }
+@@ -1628,7 +1628,7 @@
+             PushIllegalArgument();
+     }
+     else
+-        PushDouble(pow(fVal1,fVal2));
++        PushDouble(::rtl::math::powr(fVal1,fVal2));
+ }
+ 
+ void ScInterpreter::ScSumProduct()

Added: head/editors/openoffice-devel/files/patch-sal-inline
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/editors/openoffice-devel/files/patch-sal-inline	Tue Aug 27 03:36:50 2013	(r325427)
@@ -0,0 +1,16 @@
+Index: sal/util/makefile.mk
+===================================================================
+--- sal/util/makefile.mk	(revision 1509387)
++++ sal/util/makefile.mk	(working copy)
+@@ -45,6 +45,11 @@
+ CFLAGS+= $(LFS_CFLAGS)
+ CXXFLAGS+= $(LFS_CFLAGS)
+ 
++# gcc can have some broken inlining optimizations
++.IF "$(OS)"=="FREEBSD" && "$(COM)" == "GCC"
++CFLAGS += -fkeep-inline-functions
++.ENDIF
++
+ .IF "$(depend)" == ""
+ 
+ # --- Files --------------------------------------------------------

Modified: head/editors/openoffice-devel/pkg-descr
==============================================================================
--- head/editors/openoffice-devel/pkg-descr	Tue Aug 27 00:35:46 2013	(r325426)
+++ head/editors/openoffice-devel/pkg-descr	Tue Aug 27 03:36:50 2013	(r325427)
@@ -15,4 +15,3 @@ Components include:
     illustrations
 
 WWW: http://openoffice.apache.org/
-
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 dfilter service freebsd_committer 2013-08-27 07:27:33 UTC
Author: maho
Date: Tue Aug 27 06:27:24 2013
New Revision: 325429
URL: http://svnweb.freebsd.org/changeset/ports/325429

Log:
  convert to USES, and adoption of optionsNG styling, add CCACHE as configurable option
  
  PR:		181574
  Submitted by:	jgh@

Modified:
  head/editors/openoffice-4/Makefile
  head/editors/openoffice-4/pkg-descr

Modified: head/editors/openoffice-4/Makefile
==============================================================================
--- head/editors/openoffice-4/Makefile	Tue Aug 27 04:22:46 2013	(r325428)
+++ head/editors/openoffice-4/Makefile	Tue Aug 27 06:27:24 2013	(r325429)
@@ -24,40 +24,40 @@ USE_XORG=	x11 ice xaw xau xext xrender x
 USE_GL=		gl glu
 USE_GSTREAMER=	yes
 #USE_GCC=	4.6+
-USE_GMAKE=	yes
 USE_PYTHON=	yes
-USE_PERL5_BUILD=	yes
 USE_BZIP2=	yes
-USES+=		bison perl5
+USES+=		bison perl5 gmake
 USE_PERL5=	build
 WITHOUT_CPU_CFLAGS=	true
 MAKE_JOBS_SAFE=	yes
 
-OPTIONS_DEFINE=	GCONF GNOMEVFS
+OPTIONS_DEFINE=	GCONF GNOMEVFS CCACHE
 OPTIONS_DEFAULT=GCONF GNOMEVFS
 GNOMEVFS_DESC=	Enable GNOME Virtual File System
+CCACHE_DESC=	Mimimize compile time of C/C++ programs
+
+.include "${.CURDIR}/files/Makefile.localized"
 
 .include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
 USE_JAVA=	yes
 JAVA_BUILD=	jdk
 JAVA_VENDOR=	openjdk
 JAVA_VERSION=	1.6+
 
-.if !defined(WITHOUT_GCONF)
+.if ${PORT_OPTIONS:MGCONF}
 USE_GNOME+=	gconf2
 .else
 CONFIGURE_ARGS+=--disable-gconf
 .endif
 
-.if !defined(WITHOUT_GNOMEVFS)
+.if ${PORT_OPTIONS:MGNOMEVFS}
 USE_GNOME+=	gnomevfs2
 .else
 CONFIGURE_ARGS+=--disable-gnome-vfs
 .endif
 
-.include <${FILESDIR}/Makefile.localized>
-
 ONLY_FOR_ARCHS=	i386 amd64
 
 .if ${ARCH} == amd64
@@ -96,7 +96,7 @@ RUN_DEPENDS+=	${LOCALBASE}/share/icons/h
 		${JAVALIBDIR}/saxon9.jar:${PORTSDIR}/textproc/saxon-devel \
 		${LOCALBASE}/lib/X11/fonts/ChromeOS/Arimo-Bold.ttf:${PORTSDIR}/x11-fonts/croscorefonts-fonts-ttf
 
-.if defined(WITH_CCACHE)
+.if ${PORT_OPTIONS:MCCACHE) || defined(WITH_CCACHE)
 BUILD_DEPENDS+=	ccache:${PORTSDIR}/devel/ccache
 CCACHE_PREFIX=	ccache
 OOOCC=		${CCACHE_PREFIX} ${CC}
@@ -239,7 +239,7 @@ pre-everything::
 post-extract:
 	@${CP} ${DISTDIR}/${DIST_SUBDIR}/unowinreg.dll ${WRKSRC}/external/unowinreg/
 #	@${MKDIR} ${WRKSRC}/../ext_sources
-#	@${MV} ${WRKDIR}/ooo/ext_sources/* ${WRKSRC}/../ext_sources/
+#	@${MV} ${WRKDIR}/aoo/ext_sources/* ${WRKSRC}/../ext_sources/
 #	@${RM} -rf ${WRKSRC}/l10n
 	@${MKDIR} ${WRKSRC}/../ext_sources
 	@${RM} -rf ${WRKSRC}/l10n

Modified: head/editors/openoffice-4/pkg-descr
==============================================================================
--- head/editors/openoffice-4/pkg-descr	Tue Aug 27 04:22:46 2013	(r325428)
+++ head/editors/openoffice-4/pkg-descr	Tue Aug 27 06:27:24 2013	(r325429)
@@ -15,4 +15,3 @@ Components include:
     illustrations
 
 WWW: http://openoffice.apache.org/
-
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Jason Helfman freebsd_committer 2014-01-26 17:51:39 UTC
State Changed
From-To: open->closed

Committed in r325429